#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint snowplow_tracker.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'conviva_tracker'
  s.version          = '0.3.0'
  s.summary          = 'A bridging package for tracking App events in Flutter apps.'
  s.description      = <<-DESC
A bridging package for tracking App events in Flutter apps.
                       DESC
  s.homepage         = 'https://github.com/Conviva/conviva-flutter-ios-appanalytics'
  s.license          = { :type => 'Copyright', :text => 'Copyright 2018 Conviva' }
  s.authors          = 'Conviva, Inc.'
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'ConvivaAppAnalytics', '>= 0.2.12'
  s.platform = :ios, '9.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
end
