//
//  CustomTagsMessageReader.swift
//  conviva_tracker
//
//  Created by Butchi Peddi on 03/04/23.
//

import Foundation
import ConvivaAppAnalytics

struct CustomTagsMessageReader : Decodable {
    
    let tracker: String
    let tags: String?
    let clearTags:[String]?
    
    func convertToDictionary(text: String) -> [String: Any]? {
        if let data = text.data(using: .utf8) {
            do {
                return try JSONSerialization.jsonObject(with: data, options: []) as? [String: Any]
            } catch {
                print(error.localizedDescription)
            }
        }
        return nil
    }
}
